// CANETDlg.cpp : implementation file
//

#include "stdafx.h"
#include "testicandll.h"
#include "CANETDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCANETDlg dialog


CCANETDlg::CCANETDlg(DWORD type,CWnd* pParent /*=NULL*/)
	: CDialog(CCANETDlg::IDD, pParent),m_type(type)
{
	//{{AFX_DATA_INIT(CCANETDlg)
	m_canetport = m_global.m_syscfg.extcfg.canet.canetport;
	m_srcport = m_global.m_syscfg.extcfg.canet.srcport;
	m_bserver = m_global.m_syscfg.extcfg.canet.btcpserver;
	//}}AFX_DATA_INIT
}


void CCANETDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCANETDlg)
	DDX_Control(pDX, IDC_IPADDRESS_canetip, m_ipctr);
	DDX_Text(pDX, IDC_EDIT_canetport, m_canetport);
	DDX_Text(pDX, IDC_EDIT_srcport, m_srcport);
	DDX_Radio(pDX, IDC_RADIO_client, m_bserver);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCANETDlg, CDialog)
	//{{AFX_MSG_MAP(CCANETDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCANETDlg message handlers

void CCANETDlg::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData(TRUE);
	m_global.m_syscfg.extcfg.canet.srcport=m_srcport;
	m_global.m_syscfg.extcfg.canet.canetport=m_canetport ;
	m_global.m_syscfg.extcfg.canet.btcpserver=m_bserver;
	m_ipctr.GetAddress(m_global.m_syscfg.extcfg.canet.canetip);
	CDialog::OnOK();
}

BOOL CCANETDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	if (VCI_CANETTCP==m_type)
	{
		SetWindowText("CANET_TCP");
		GetDlgItem(IDC_RADIO_client)->ShowWindow(TRUE);
		GetDlgItem(IDC_RADIO_server)->ShowWindow(TRUE);
	}else
	{
		SetWindowText("CANET_UDP");	
		GetDlgItem(IDC_RADIO_client)->ShowWindow(FALSE);
		GetDlgItem(IDC_RADIO_server)->ShowWindow(FALSE);
	}

	m_ipctr.SetAddress(m_global.m_syscfg.extcfg.canet.canetip);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
