// testicandllDlg.h : header file
//

#if !defined(AFX_TESTICANDLG_H__348BA77B_3BFA_4F62_B3FD_9CB0A756A777__INCLUDED_)
#define AFX_TESTICANDLG_H__348BA77B_3BFA_4F62_B3FD_9CB0A756A777__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CTesticandllDlg dialog
#include "TesticanBaseList.h"

#define TIMERID_REFRESHDATA		3

typedef struct _tagListData
{
	HANDLE hSlave;
	BYTE bai;
}LISTDATA;

class CTesticandllDlg : public CDialog
{
// Construction
public:
	void DisconnectItem(int ind);
	int GetByteArr(BYTE* pbyte, int &len);
	void DelAllFromList();
	int GetSelItemArr(int *& parr, int &len);
	void AddItemToList(HANDLE hSlave);
	void AddItemToCombo(CComboBox& combo,int ind);
	void DelItemFromCombo(CComboBox& combo,int ind);
	void AddConnectedItem(HANDLE hSlave);
	void ClearList();
	void SetBtnStatus();
	void SetDisconnectCombo(int oldmasterid,int newmasterid);
	void Init();
	CTesticandllDlg(CWnd* pParent = NULL);	// standard constructor

	VOID Pre_Mgr_StartSys(const CTestICANGlobal& global);

// Dialog Data
	//{{AFX_DATA(CTesticandllDlg)
	enum { IDD = IDD_TESTICANDLL_DIALOG };
	CTesticanBaseList	m_ctlListData;
	CComboBox	m_ctlComboDisconnectSlaveID;
	CComboBox	m_ctlComboDataType;
	CComboBox	m_ctlComboConnectedSlaveID;
	CComboBox	m_ctlComboMasterID;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTesticandllDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTesticandllDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnButtonSyscfg();
	afx_msg void OnButtonSetmaster();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonConnect();
	afx_msg void OnRclickListData(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnMenuDisconnect();
	afx_msg void OnUpdateMenuDisconnect(CCmdUI* pCmdUI);
	afx_msg void OnButtonSenddata();
	afx_msg void OnSelchangeComboMasterid();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTICANDLG_H__348BA77B_3BFA_4F62_B3FD_9CB0A756A777__INCLUDED_)
