#ifndef ICANDLLHEADER_H
#define ICANDLLHEADER_H

//ӿڿͶ
#define VCI_PCI5121		1
#define VCI_PCI9810		2
#define VCI_USBCAN1		3
#define VCI_USBCAN2		4
#define VCI_PCI9820		5
#define VCI_CAN232		6
#define VCI_PCI5110		7
#define VCI_CANLITE		8
#define VCI_ISA9620		9
#define VCI_ISA5420		10
#define VCI_PC104CAN	11
#define VCI_CANETE		12
#define VCI_DNP9810		13
#define VCI_PCI9840		14
#define VCI_PC104CAN2	15
#define VCI_PCI9820I	16
#define VCI_CANETTCP	17
#define VCI_PEC9920		18
#define VCI_ICANCFGCARD	30

#define VCI_PCI5010_U	19
#define VCI_USBCAN_E_U 20
#define VCI_USBCAN_2E_U 21
#define VCI_PCI5020_U	22

#define ICANOK					0
#define ICANERR_FUNCNOTEXIST	0x01
#define ICANERR_SRCNOTEXIST		0x02//Դ
#define ICANERR_CMDNOTSUPPORT	0x03
#define ICANERR_CMDILLEGAL		0x04
#define ICANERR_CONNECTNOTEXIST	0x05

#define ICANERR					0xf1
#define ICANERR_USING			0xf3//Դռ
#define ICANERR_SETCAN			0xf4//豸ʧܻʼCANʧ
#define ICANERR_SRVSTARTED		0xf5//,޷д
#define ICANERR_TIMEOUT			0xf6
#define ICANERR_ITEMEXIST		0xf7//ĿѾ

#define MASTER_CYCLEUNIT	10

#define IOCTL_ROUTE_SETSRCPORT	1
#define IOCTL_ROUTE_SETDESIP	2
#define IOCTL_ROUTE_SETDESPORT	3
#define IOCTL_ROUTE_START		4
#define IOCTL_ROUTE_SETBAUD		5 //use for PCI50X0-U & USBCAN-XE-U
#define IOCTL_ROUTE_SETMODE		6 //use for CANET-TCP

typedef struct _tagRouteCfg
{
	int iCardType;//CANӿڿ
	int iCardInd;//CANӿڿ
	int iCANInd;//CAN·
	WORD wCANBaud;//0x311c - 10K,0x041c - 100K,0x001c - 500K
	WORD wMasterID;//ICANվID
	int iMasterCycle;//ICANվʱѭ
}ROUTECFG;

#ifdef __cplusplus
extern "C"
{
#endif

//һICAN磬趨ICAN
DWORD __stdcall Mgr_AddRoute(ROUTECFG &cfg,HANDLE* phRoute);
//ɾһICAN
DWORD __stdcall Mgr_DelRoute(HANDLE hRoute);
//ɾICAN
DWORD __stdcall Mgr_DelAllRoute();
//ϵͳ
DWORD __stdcall Mgr_StartSys();
//ֹͣϵͳ
DWORD __stdcall Mgr_StopSys();
//ϵͳǷ
DWORD __stdcall Mgr_IsStarted();

//ָICANӴվ
DWORD __stdcall Route_AddSlave(HANDLE hRoute,DWORD SlaveID,HANDLE* phSlave);
//ɾָICANеĴվ
DWORD __stdcall Route_DelSlave(HANDLE hRoute,HANDLE hSlave);
//ɾָICANдվ
DWORD __stdcall Route_DelAllSlave(HANDLE hRoute);
//ָICANò
DWORD __stdcall Route_SetConfig(HANDLE hRoute,ROUTECFG &cfg);
//ȡָICANò
DWORD __stdcall Route_GetConfig(HANDLE hRoute,ROUTECFG* pcfg);
//ͨվIDָICANлȡôվ
DWORD __stdcall Route_GetSlavebyID(HANDLE hRoute,DWORD SlaveID,HANDLE* phSlave);
DWORD __stdcall Route_ConnectAllSlaveAsync(HANDLE hRoute);

DWORD __stdcall Route_IOCtl(HANDLE hRoute,DWORD code,BYTE* pinbuff=NULL,
							int inlen=0,BYTE* poutbuff=NULL,int outlen=0);

//ָվ
DWORD __stdcall Slave_Connect(HANDLE hSlave);
//Ͽָվ
DWORD __stdcall Slave_Disconnect(HANDLE hSlave);
//վǷ
DWORD __stdcall Slave_IsConnected(HANDLE hSlave);
//ȡָվID
DWORD __stdcall Slave_GetID(HANDLE hSlave);
//ȡָվIOݳ
DWORD __stdcall Slave_GetIODataLen(HANDLE hSlave,DWORD *pDI,DWORD* pDO,DWORD* pAI,DWORD* pAO);
//ȡָվAI
DWORD __stdcall Slave_GetAIData(HANDLE hSlave,BYTE* pRecbuf,DWORD* pReclen);
//ȡָվDI
DWORD __stdcall Slave_GetDIData(HANDLE hSlave,BYTE* pRecbuf,DWORD* pReclen);
//ָվAI/DI
DWORD __stdcall Slave_GetData(HANDLE hSlave,DWORD SourceID,BYTE* pRecbuf,DWORD* pReclen);
//ָվAO/DO
DWORD __stdcall Slave_SendData(HANDLE hSlave,DWORD SourceID,BYTE* pSendbuf,DWORD Sendlen);
//ָվò
DWORD __stdcall Slave_SetConfig(HANDLE hSlave,DWORD SourceID,DWORD* pSubsourceID,
								BYTE* pSendbuf,DWORD Sendlen);
//ȡָվò
DWORD __stdcall Slave_GetConfig(HANDLE hSlave,DWORD SourceID,DWORD* pSubsourceID,
								BYTE* pRecbuf,DWORD Reclen);

//ôվˢڣĬΪROUTECFG.iMasterCycle,λ10ms
DWORD __stdcall Slave_SetCycle(HANDLE hSlave,DWORD dwCycle);

DWORD __stdcall Slave_GetCycle(HANDLE hSlave);


//ȡ
DWORD __stdcall Slave_GetTriggerData(HANDLE hSlave,DWORD* pSourceIDSt,
									 BYTE* pRecbuf,DWORD* pRecLen);

#ifdef __cplusplus
}
#endif


#endif
