// ControlIni.h: interface for the CControlIni class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONTROLINI_H__2DB04318_581C_406E_A981_97B668284953__INCLUDED_)
#define AFX_CONTROLINI_H__2DB04318_581C_406E_A981_97B668284953__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#define CFGTOSTR(config,szstr)	{BYTE *p=(BYTE*)(&config);\
		for(int k=0;k<sizeof(config);k++)\
		{\
			sprintf(szstr+k*2,"%02X",*p++);\
		}\
	}
#define STRTOCFG(szstr,config)	{int itmpq;char sztmpq[3]={0};\
		BYTE *p=(BYTE*)(&config);\
		for(int k=0;k<(int)strlen(szstr)/2;k++)\
		{\
			memcpy(sztmpq,szstr+k*2,2);\
			sscanf(sztmpq,"%X",&itmpq);\
			*p++=(BYTE)itmpq;\
		}\
	}
#define BYTETOSTR(pbyte,len,szstr)	{BYTE *p=(BYTE*)(pbyte);\
		for(int k=0;k<len;k++)\
		{\
		sprintf(szstr+k*2,"%02X",*p++);\
		}\
	}
#define STRTOBYTE(szstr,pbyte)	{int itmpq;char sztmpq[3]={0};\
		BYTE *p=(BYTE*)(pbyte);\
		for(int k=0;k<strlen(szstr)/2;k++)\
		{\
		memcpy(sztmpq,szstr+k*2,2);\
		sscanf(sztmpq,"%X",&itmpq);\
		*p++=(BYTE)itmpq;\
		}\
	}


class CControlIni  
{
public:
	int Write(char *appname,char *keyname,int val,int hex=0/*1 hex,0 dec*/);
	int Write(char *appname,char *keyname,char *szval);
	int Read(char *appname,char *keyname,char *szval,int len,char* szdefault=NULL);
	int Read(char* appname,char* keyname,int &val,int hex=0/*1 hex,0 dec*/,int idefault=0);
	int SetIni(char* name);
	CControlIni();
	virtual ~CControlIni();
	CString& GetIni() {return m_strName;}

protected:
	CString m_strName;
};


#endif // !defined(AFX_CONTROLINI_H__2DB04318_581C_406E_A981_97B668284953__INCLUDED_)
