// TestICANGlobal.h: interface for the CTestICANGlobal class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TESTICANGLOBAL_H__BCBA07E3_7EB7_4624_80DC_6992E2FE477A__INCLUDED_)
#define AFX_TESTICANGLOBAL_H__BCBA07E3_7EB7_4624_80DC_6992E2FE477A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "controlini.h"
#pragma warning(disable:4786)
#include <map>
using  std::map;

enum
{
	ICAN_BANU_500K,
	ICAN_BANU_100K,
	ICAN_BANU_10K,
	ICAN_BAUD_LEN
};

const DWORD g_newcan_baud[ICAN_BAUD_LEN]={0x060007/*500K*/,0x160023/*100K*/,0x1C00E0/*10K*/};

extern map<DWORD,CString> g_type_nameMap;
map<DWORD,CString> g_oldbaudMap;
map<DWORD,CString> g_newbaudMap;

class CTestICANGlobal  
{
public:
	SYSTEMTIME GetTime();
	CString ConvertTimeToStr(SYSTEMTIME tm);
	CString DatatoStr(BYTE *pdata, int len);
	int GetCANCount(int devtype);
	void Uninit();
	void Init();
	CTestICANGlobal();
	virtual ~CTestICANGlobal();

	struct _tagSysCfg
	{
		ROUTECFG routecfg;	
		union _extcfg//չ
		{
			struct _canet_prm
			{
				DWORD srcport;
				DWORD canetport;
				//BYTE canetip[4];
				DWORD canetip;
				DWORD btcpserver;
			}canet;
			struct _newcan
			{
				DWORD dwCANBaud;
			}newcan;
		}extcfg;
	}m_syscfg;

	CControlIni m_ini;
	HANDLE m_hRoute;


};

#endif // !defined(AFX_TESTICANGLOBAL_H__BCBA07E3_7EB7_4624_80DC_6992E2FE477A__INCLUDED_)
